#ifndef _TEXTHARMONYTRACK_H_
#define _TEXTHARMONYTRACK_H_

#include "prTrack.h"

class Track;

class TextHarmonyTrack : public PrTrack
{
 private:
  Track * _track;
  bool _hidden;

 public:
  TextHarmonyTrack(Track*);
  virtual void update(bool);
  virtual void erase();
  virtual void hide();
  virtual void show();

  bool hidden() const { return _hidden; }
};

#endif
